<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<targets>
		<target name="file" xsi:type="File"
		   layout="${longdate} ${logger} ${message}${exception:format=ToString}"
		   fileName="${basedir}/logs/logfile.txt"
		   keepFileOpen="true"
		   encoding="utf-8" />
		<target name="console" xsi:type="ColoredConsole" />
	</targets>

	<rules>
		<logger name="*" minlevel="Trace" writeTo="console" />
		<logger name="*" minlevel="Trace" writeTo="file" />
	</rules>
</nlog>